Grouping.TotalCount (Solr 3.6.2 API)
Keywords: org.apache.solr.search.Grouping.TotalCount class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.search
Enum Grouping.TotalCount

    java.lang.Object
      java.lang.Enum<Grouping.TotalCount>
          org.apache.solr.search.Grouping.TotalCount

All Implemented Interfaces:
  Serializable, Comparable<Grouping.TotalCount>

Enclosing class:
  Grouping

    public static enum Grouping.TotalCount

extends Enum<Grouping.TotalCount>

Enum Constant Summary
`grouped` Computations should be based on groups.
`ungrouped` Computations should be based on plain documents, so not taking grouping into account.

Method Summary
`static Grouping.TotalCount` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Grouping.TotalCount[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### grouped

    public static final Grouping.TotalCount grouped

  Computations should be based on groups.

### ungrouped

    public static final Grouping.TotalCount ungrouped

  Computations should be based on plain documents, so not taking grouping into account.

Method Detail

### values

    public static final Grouping.TotalCount[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Grouping.TotalCount c : Grouping.TotalCount.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Grouping.TotalCount valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD